View Issue Details

IDProjectCategoryView StatusLast Update
0000449Twitter DelitterBackend / Corepublic2020-02-22 18:35
ReporterBootBlock Assigned ToBootBlock  
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.34 
Target Version1.35Fixed in Version1.35 
Summary0000449: Add a tweet scoring system
Description

Can you add a facility to score a tweet against some criteria (offensive, drink/drug talk etc) to then recommend if it should be deleted if you’re looking for a job?


Thanks to Mike C. for suggesting!

TagsNo tags attached.

Relationships

related to 0000489 newBootBlock Complete Tweet Score exporting to Clipboard 
related to 0000490 newBootBlock Add remaining Tweet Score comparison fields 

Activities

BootBlock

2020-02-06 11:14

administrator   ~0000173

Last edited: 2020-02-06 11:15

View 1 revisions

Alright: without going full Bayesian statistics, it's probably best to make this generic:

1) Ruleset. A Rules collection contains a list of Rule. Rules(Of Rule)
2) A Rule contains the regular expression terms to apply. Integers can be applied to a tweet's overall score based on the success/failure of the Regex match.
3) This adds a lot more UI complexity and probably shouldn't be implemented, but maybe Rules can be linked; eg. if Rule A matches AND Rule B matches, then apply a modifier.

BootBlock

2020-02-16 08:06

administrator   ~0000210

This is going to take a lot of editors to implement correctly. No Interfaces or anything like that - I don't want to go the FileSieve route as the TD userbase is vastly smaller - but just a collection of Panels. While the user won't know a difference, it won't be modular or extensible via plugins like FileSieve is.

This is a huge amount of work, so no other features will be added or worked upon until this is done; the tracker will look like activity has ceased on TD - but this isn't the case.

BootBlock

2020-02-16 08:35

administrator   ~0000211

Last edited: 2020-02-16 08:41

View 1 revisions

With no optimisations (eg. don't keep creating Regex objects; tweet.Count * rule.Count), it takes 49ms to run two rules on 21,000 tweets.

BootBlock

2020-02-16 08:40

administrator   ~0000212

Quick optimisation later and now it takes 13ms.

BootBlock

2020-02-16 10:00

administrator   ~0000213

A quick WIP look at the RuleSet class diagram. The Rule class is going to be a lot bigger.

RuleSet-ClassDiagram1.png (18,482 bytes)   
RuleSet-ClassDiagram1.png (18,482 bytes)   

BootBlock

2020-02-22 08:44

administrator   ~0000220

Importing and exporting is in.

BootBlock

2020-02-22 18:32

administrator   ~0000224

Last edited: 2020-02-22 18:34

View 1 revisions

Tweet Scoring is in, albeit not entirely complete. Not all comparison fields are available but will be added in an update; see 0000490.

Exporting a Rule Set to the clipboard isn't yet implemented, either; see 0000489.

Issue History

Date Modified Username Field Change
2020-02-06 11:03 BootBlock New Issue
2020-02-06 11:03 BootBlock Assigned To => BootBlock
2020-02-06 11:14 BootBlock Note Added: 0000173
2020-02-06 11:14 BootBlock Note Edited: 0000173
2020-02-06 11:15 BootBlock Note Edited: 0000173
2020-02-06 11:15 BootBlock Note Edited: 0000173 View Revisions
2020-02-06 11:15 BootBlock Note Revision Dropped: 173: 0000215
2020-02-06 11:15 BootBlock Note Revision Dropped: 173: 0000216
2020-02-06 11:15 BootBlock Note Revision Dropped: 173: 0000217
2020-02-06 11:42 BootBlock Status new => assigned
2020-02-12 17:20 BootBlock Target Version 1.34 => 1.35
2020-02-16 08:06 BootBlock Note Added: 0000210
2020-02-16 08:35 BootBlock Note Added: 0000211
2020-02-16 08:40 BootBlock Note Added: 0000212
2020-02-16 08:41 BootBlock Note Edited: 0000211 View Revisions
2020-02-16 08:41 BootBlock Note Revision Dropped: 211: 0000238
2020-02-16 08:41 BootBlock Description Updated View Revisions
2020-02-16 10:00 BootBlock Note Added: 0000213
2020-02-16 10:00 BootBlock File Added: RuleSet-ClassDiagram1.png
2020-02-22 08:44 BootBlock Note Added: 0000220
2020-02-22 18:30 BootBlock Relationship added related to 0000489
2020-02-22 18:32 BootBlock Note Added: 0000224
2020-02-22 18:33 BootBlock Relationship added related to 0000490
2020-02-22 18:34 BootBlock Note Edited: 0000224 View Revisions
2020-02-22 18:35 BootBlock Fixed in Version => 1.35
2020-02-22 18:35 BootBlock Note Revision Dropped: 224: 0000251
2020-02-22 18:35 BootBlock Status assigned => closed
2020-02-22 18:35 BootBlock Resolution open => fixed